What can we help you with?

Type a topic or question below.

Loading...

    Online Banking Security Upgrade Notification

    ECU is committed to providing the most secure online banking environment for our members by following established security best practices across all systems. 

    ECU will be enhancing these systems in late February.  With this upgrade, some older devices and web browsers may not be compatible with the new systems.  Listed below, are devices and/or software that may not be compatible with the new system. 

    Mobile:

    • Android devices version 4.4.4 and below.
    • Apple iOS devices using Safari versions 5 and below.
    • Windows Phone using Internet Explorer Mobile versions 10 and below.

    Desktop:

    • Windows XP, Windows Vista, Windows 7 with Microsoft Internet Explorer versions 10 or below.
    • Apple OS X using Safari versions 8 or below.

    If your device or computer is identified in the list above, here are some options to ensure compatibility with the new system :

    • Microsoft Operating Systems: Windows operating systems using Microsoft Internet Explorer version 10 or below will need to be upgraded to the latest versions.
    • Apple Operating Systems: Apple operating systems using Safari version 8 and below will need to be upgraded to the latest version.
    • Apple and Microsoft Web Browsers:  Web browsers will need to be upgraded to the latest version.
    • Android Tablets or Phones: Devices running any Android operating system released before December 2014 will need to be replaced, as Online Banking will not be accessible on your device.
    • You may use the following links to verify compatible settings.  TLS 1.2 or higher will be required to access ECU systems.

    Testing Your Computer or Device

    Step 1: From your device, click the link below.
    https://www.howsmyssl.com/

    Step 2: Check the message displayed on the website.  If the message says, “Your SSL client is probably okay,” your device is most likely compatible.  Check the “Version” section below.  If you receive a message of “Good,” your device should be compatible.

    If you receive a message that your SSL client or version is not good, you may need to upgrade your browser or operating system to ensure compatibility.

    For support, please call (800)999-2328 or use our website contact form located at: https://www.ecu.org/Contact

    You are leaving Eastman Credit Union

    You are leaving Eastman Credit Union's website and visiting a third-party website. This website's security and privacy policies may differ from that of ECU's website and we cannot guarantee the accuracy of the information found on this third-party website.

    If you wish to leave ECU's website, select "Continue". If not, select "No Thanks".